Subject: Re: bug#55071: 28.1; package-refresh-content throws bug

From: Corwin Brust <[email-masked]>
Date: Fri, 22 Apr 2022 20:19:59 -0500

On Fri, Apr 22, 2022 at 6:14 PM Bhaskar Chowdhury <[email-masked]> wrote:
>
> Debugger entered--Lisp error: (error "Location https//elpa.gnu.org/packages/ is not a url nor an absolute file name")

I think you are missing a colon (":") in that URL.  I'm assuming you
customized the package-archives variable, as I haven't observed this
problem with Emacs 28.1.

Can you double check your "spelling" of the URI for GNU ELPA in your
config (or share back if this error comes under emacs -q?

Kind regards,
Corwin